org.apache.cassandra.db

## Class TypeSizes.VIntEncodedTypeSizes

- java.lang.Object
- - org.apache.cassandra.db.TypeSizes
  - - org.apache.cassandra.db.TypeSizes.VIntEncodedTypeSizes

Enclosing class:
  TypeSizes

    public static class TypeSizes.VIntEncodedTypeSizes
    extends TypeSizes

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.db.TypeSizes

`TypeSizes.NativeDBTypeSizes, TypeSizes.VIntEncodedTypeSizes`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.TypeSizes

`NATIVE, VINT`

### Constructor Summary

Constructors
Constructor and Description
`TypeSizes.VIntEncodedTypeSizes()`

### Method Summary

Methods
`int` `sizeof(boolean i)`
`int` `sizeof(int i)`
`int` `sizeof(long i)`
`int` `sizeof(short i)`
`int` `sizeof(java.util.UUID value)`
`int` `sizeofVInt(long i)`

### Methods inherited from class org.apache.cassandra.db.TypeSizes

`encodedUTF8Length, sizeof, sizeofWithLength, sizeofWithShortLength`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeSizes.VIntEncodedTypeSizes

    public TypeSizes.VIntEncodedTypeSizes()

### Method Detail

#### sizeofVInt

    public int sizeofVInt(long i)

#### sizeof

    public int sizeof(long i)

Specified by:
  `sizeof` in class `TypeSizes`

#### sizeof

    public int sizeof(boolean i)

Specified by:
  `sizeof` in class `TypeSizes`

#### sizeof

    public int sizeof(short i)

Specified by:
  `sizeof` in class `TypeSizes`

#### sizeof

    public int sizeof(int i)

Specified by:
  `sizeof` in class `TypeSizes`

#### sizeof

    public int sizeof(java.util.UUID value)

Specified by:
  `sizeof` in class `TypeSizes`